> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Models



## OpenAPI

````yaml get /v1/models
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: Fetch Models
      operationId: Fetch_Models_v1_models_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Name
        - name: display_name
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Display Name
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelOut'
                title: Response Fetch Models V1 Models Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ModelOut:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_type:
          $ref: '#/components/schemas/wo_archer__schema__models__ModelType'
          default: chat
        model_name:
          type: string
          title: Model Name
        api_base:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Base
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        deployment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/ModelProvider'
            - type: 'null'
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        provider_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provider Config
        connection_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Id
      type: object
      required:
        - model_name
      title: ModelOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    wo_archer__schema__models__ModelType:
      type: string
      enum:
        - chat
        - chat_vision
        - completion
        - embedding
      title: ModelType
    ModelProvider:
      type: string
      enum:
        - openai
        - anthropic
        - azure-openai
        - azure-ai
        - anyscale
        - cohere
        - cerebras
        - palm
        - google
        - together-ai
        - mistral-ai
        - perplexity-ai
        - stability-ai
        - nomic
        - ollama
        - bedrock
        - ai21
        - groq
        - segmind
        - vertex-ai
        - deepinfra
        - novita-ai
        - fireworks-ai
        - deepseek
        - voyage
        - vllm
        - jina
        - reka-ai
        - moonshot
        - openrouter
        - lingyi
        - zhipu
        - monsterapi
        - predibase
        - huggingface
        - github
        - deepbricks
        - siliconflow
        - workers-ai
        - ibm_bam
        - watsonx
        - mistralai
        - specialized_routing_model
        - product_rag
        - x-ai
      title: ModelProvider
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````